DIRT(1)

NAME
dirt - dput information retrieval tool

SYNOPSIS

dirt [-h] {hosts,blame,list,info} ...

DESCRIPTION

dirt is a data retrieval and change tool, being able to retrieve meta information about dput(1) configuration files and hooks.

This command is not completed yet. Interface and behavior changes are expected in future releases.

OPTIONS

  SUB COMMANDS

hosts
    print the lists of hosts that dput knows about

blame
    get information on where dput is finding keys

list
    list all the hooks registered to dput

info
    get some help on a hook

EXIT STATUS

0
    Success

1
    A runtime check returned an error

2
    An internal error was detected, for example while loading configuration files

3
    An upload error was detected, for example a permission or authentication problem while uploading files

BUGS

Report bugs to http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=dput-ng

EXAMPLES

    $ dirt list

    $ dirt blame -p ftp-master

    $ dirt info --hook source

AUTHOR

dput-ng was originally written by Arno Töll <arno(a)debian.org> and Paul Richard I by the Grace of God of the United Kingdom of Debian and Ubuntu and of his other realms and territories King Head of the Fluxbox Window Manager Defender of the Faith Tagliamonte <paultag(a)debian.org>.

BUGS

This command is not completed yet. Interface and behavior changes are expected in future releases.

RESOURCES

dput(5), dput.cf(5), dcut(1)

COPYING

Copyright © 2012 dput-ng authors. Free use of this software is granted under the terms of the GNU General Public License (GPL) Version 2 or later.